/* 
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 *
 */

package org.apache.muse.tools.generator;


/**
 * Constants that WsdlMerge uses. This is just the command line flags it accepts.
 * 
 * @author Andrew Eberbach (aeberbac)
 */
public interface WsdlMergeConstants {
	String URI_FLAG = "-uri";

	String ADDRESS_FLAG = "-address";

	String OUTPUT_FLAG = "-output";
	
	String RMD_OUTPUT_FLAG = "-rmdoutput";

	String HELP_FLAG = "-help";

	String OVERWRITE_FLAG = "-overwrite";
	
	String VERSION_FLAG = Wsdl2JavaConstants.VERSION_FLAG;

	String METADATA_NAME = "Metadata";
}
